SystemOrganization addCategory: 'CuisRefactoring-Seaside'!

WAComponent subclass: #RefactorPage
	instanceVariableNames: 'currentImage'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CuisRefactoring-Seaside'!

!RefactorPage class methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 19:56'!
canBeRoot
	^true! !

!RefactorPage methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 22:19'!
getRefactors
	^RefactorContainer instance refs.! !

!RefactorPage methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/6/2013 01:00'!
renderContentOn: html 
	html header:  'Refactor list'.
	html break.
	self renderImagesOn: html.
	html break.
	self renderRefactorsForImageOn: html.! !

!RefactorPage methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 22:53'!
renderImagesOn: html
	|images|
	images := (self getRefactors collect: [ :d| 
		(d at: 'image').]) asBag.
	images do:[:im |
	html anchor callback: [ currentImage := im ]; with: im.
	html break.]! !

!RefactorPage methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 23:30'!
renderRefactorsForImageOn: html
	|refs|
	currentImage isNil ifFalse:[
		refs := self getRefactors select: [:dic | (dic at: 'image') =  currentImage.].
		html table: [
			refs do: [ :it | 
				(html text: ('Type: ', (it at: 'type'))) break.
				(html text: ('Class: ', (it at: 'class'))) break.	
				(html text: ('Old Name ', (it at: 'oldName'))) break.	
				(html text: ('New Name ', (it at: 'newName'))) break.
				html break.
				(it at: 'usages') isEmpty ifTrue:[html text: 'No usages'.
					html break.
					].
								"Do something with usages."
				html break.															
			]
			
		]
	]! !

Object subclass: #ConnectionToCuis
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CuisRefactoring-Seaside'!

ConnectionToCuis class
	instanceVariableNames: 's'!

!ConnectionToCuis class methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 21:12'!
setUp
	s := Socket newTCP .
	s listenOn: 7895.! !

!ConnectionToCuis class methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 21:13'!
socket
	^s.! !

!ConnectionToCuis class methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 21:26'!
waitForData
|  indata|
	[true] whileTrue:
		[
		s waitForData.
		RefactorContainer instance refs add: (JSJsonParser parse: s receiveData)].! !

Object subclass: #RefactorContainer
	instanceVariableNames: 'refs'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'CuisRefactoring-Seaside'!

!RefactorContainer class methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 20:53'!
instance
	instance ifNil: [ instance := self new ].
	^instance.! !

!RefactorContainer methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 21:31'!
initialize
	refs := OrderedCollection new.! !

!RefactorContainer methodsFor: 'as yet unclassified' stamp: 'RavasiNicolas 12/5/2013 20:55'!
refs
	^refs! !
